/* listbox that really drags items instead of only the highlighted bar
 * todo: move the dragging to the right button and implement multiple
 * selection on the left
 * 
 * lvoge@cs.vu.nl
 */
#include "QMyListBox.h"

QMyListBox::QMyListBox(QWidget *parent=0, const char *name=0, WFlags f=0) 
  : QListBox(parent, name, f) {
}

void QMyListBox::mouseMoveEvent(QMouseEvent *e) {
	if (e->state() & LeftButton) {
		int itemClicked = findItem(e->pos().y());
		int c = currentItem();
		if (c != -1 && itemClicked != -1 && itemClicked != c) {
			setAutoUpdate(FALSE);
			QString s = item(c)->text();
			removeItem(c);
			insertItem(s, itemClicked);
//			setCurrentItem(itemClicked);
			setAutoUpdate(TRUE);
			repaint();
		}
		// else centerCurrentItem();
	}
	QListBox::mouseMoveEvent(e);
}
