#include <qapp.h>
#include "QtAMP.h"
extern "C" {
#define AUDIO
#include "amp.h"
#include "audio.h"
#include "formats.h"
#include "getbits.h"
#include "layer2.h"
#include "layer3.h"
#include "misc2.h"
#include "position.h"
#include "proto.h"
#include "rtbuf.h"
#include "transform.h"
}

int main(int argc, char **argv) {
	QApplication app(argc, argv);
	QtAMP amp;

	/* premultiply dewindowing tables.  Should go away
         */
        premultiply();

        /* init imdct tables
         */
        imdct_init();
	
	/* calculating t_43
	 */
	calculate_t43();
	
	app.setStyle(WindowsStyle);
	app.setMainWidget(&amp);
	amp.show();
	return app.exec();
	msg("\nThank you for using Xamp!\n");
	exit(0);
}
