/* Copyright 1997, lvoge@cs.vu.nl */
#ifndef plDlg_included
#define plDlg_included

#include <qfiledlg.h>
#include <qstrlist.h>
#include "plDlgData.h"

class plDlg : public plDlgData {
	Q_OBJECT
 public:
	plDlg(QWidget * parent = NULL, const char *name = NULL);
	virtual ~plDlg();
	void setList(QStrList *);
	void getList(QStrList *);
 signals:
	void fetch_list();
	void seek_list();
 protected slots:
	void delete_clicked();
	void new_clicked();
	void close_clicked();
	void load_clicked();
	void save_clicked();
 private:
	QFileDialog *fileDialog;
	char *currentDir;
};

#endif				// plDlg_included
